FSIRAND(8)

NAME
fsirand - install random inode generation numbers

SYNOPSIS
fsirand [ -p ] special

DESCRIPTION
fsirand installs random inode generation numbers on all the inodes on device special, and also installs a filesystem ID in the superblock. This helps increase the security of filesystems exported by NFS.

fsirand must be used only on an unmounted filesystem that has been checked with fsck(8). The only exception is that it can be used on the root filesystem in single-user mode, if the system is immediately re-booted afterwords.

OPTIONS

-p  Print out the generation numbers for all the inodes, but do not change the generation numbers.

SEE ALSO
fsck(8)